{
  "name": "@uecko-presupuestador/server",
  "private": true,
  "version": "1.0.4",
  "author": "Rodax Software <dev@rodax-software.com>",
  "main": "./src/index.ts",
  "scripts": {
    "start": "node -r ts-node/register/transpile-only -r tsconfig-paths/register dist/server/src/index.js",
    "dev": "ts-node-dev -r tsconfig-paths/register ./src/index.ts",
    "dev:debug": "ts-node-dev --transpile-only --respawn --inspect=4321 -r tsconfig-paths/register ./src/index.ts",
    "build": "tsc",
    "lint": "eslint --ignore-path .gitignore . --ext .ts",
    "lint:fix": "npm run lint -- --fix",
    "test": "jest --config=./jest.config.ts --rootDir=./src/ --verbose",
    "clean": "rm -rf node_modules"
  },
  "devDependencies": {
    "@types/bcrypt": "^5.0.2",
    "@types/cors": "^2.8.13",
    "@types/dinero.js": "^1.9.1",
    "@types/express": "^4.17.21",
    "@types/express-session": "^1.18.0",
    "@types/glob": "^8.1.0",
    "@types/http-status": "^1.1.2",
    "@types/jest": "^29.5.12",
    "@types/jsonwebtoken": "^9.0.6",
    "@types/luxon": "^3.3.1",
    "@types/module-alias": "^2.0.1",
    "@types/morgan": "^1.9.4",
    "@types/multer": "^1.4.12",
    "@types/node": "^22.5.5",
    "@types/passport": "^1.0.16",
    "@types/passport-jwt": "^4.0.1",
    "@types/passport-local": "^1.0.38",
    "@types/response-time": "^2.3.5",
    "@types/supertest": "^2.0.11",
    "@types/validator": "^13.11.1",
    "@typescript-eslint/eslint-plugin": "^6.8.0",
    "@typescript-eslint/parser": "^6.8.0",
    "eslint": "^8.52.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-hexagonal-architecture": "^1.0.3",
    "eslint-plugin-import": "^2.28.0",
    "eslint-plugin-jest": "^27.4.2",
    "eslint-plugin-prettier": "^5.0.0",
    "eslint-plugin-simple-import-sort": "^10.0.0",
    "eslint-plugin-sort-class-members": "^1.19.0",
    "eslint-plugin-unused-imports": "^3.0.0",
    "jest": "^29.7.0",
    "module-alias": "^2.2.3",
    "prettier": "3.0.1",
    "supertest": "^6.2.2",
    "ts-jest": "^29.2.2",
    "ts-node-dev": "^2.0.0",
    "typescript": "^5.2.2"
  },
  "dependencies": {
    "@joi/date": "^2.1.0",
    "@reis/joi-luxon": "^3.0.0",
    "@types/mime-types": "^2.1.4",
    "@types/nodemailer": "^6.4.16",
    "bcrypt": "^5.1.1",
    "cls-rtracer": "^2.6.3",
    "cors": "^2.8.5",
    "cross-env": "5.0.5",
    "dinero.js": "^1.9.1",
    "dotenv": "^16.3.1",
    "express": "^4.18.2",
    "express-openapi-validator": "^5.0.4",
    "handlebars": "^4.7.8",
    "helmet": "^7.0.0",
    "http-status": "^1.7.4",
    "joi": "^17.12.3",
    "joi-phone-number": "^5.1.1",
    "jsonwebtoken": "^9.0.2",
    "lodash": "^4.17.21",
    "luxon": "^3.4.0",
    "mime-types": "^2.1.35",
    "moment": "^2.29.4",
    "morgan": "^1.10.0",
    "multer": "^1.4.5-lts.1",
    "mysql2": "^3.6.0",
    "nodemailer": "^6.9.15",
    "passport": "^0.7.0",
    "passport-jwt": "^4.0.1",
    "passport-local": "^1.0.0",
    "path": "^0.12.7",
    "puppeteer": "^22.13.1",
    "puppeteer-report": "^3.1.0",
    "remove": "^0.1.5",
    "response-time": "^2.3.2",
    "sequelize": "^6.37.3",
    "sequelize-typescript": "^2.1.5",
    "shallow-equal-object": "^1.1.1",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^4.2.0",
    "winston": "^3.10.0",
    "winston-daily-rotate-file": "^4.7.1"
  },
  "engines": {
    "node": ">=18"
  }
}
